@font-face {
  font-family: "Inter";
  font-style: normal;
  font-weight: 400;
  font-display: swap;
  src: url("../fonts/Inter-Regular.woff2") format("woff2");
}

@font-face {
  font-family: "Inter";
  font-style: normal;
  font-weight: 700;
  font-display: swap;
  src: url("../fonts/Inter-Bold.woff2") format("woff2");
}

@font-face {
  font-family: "Inter";
  font-style: italic;
  font-weight: 400;
  font-display: swap;
  src: url("../fonts/Inter-Italic.woff2") format("woff2");
}

@font-face {
  font-family: "Inter";
  font-style: italic;
  font-weight: 700;
  font-display: swap;
  src: url("../fonts/Inter-BoldItalic.woff2") format("woff2");
}

:root {
  --size-xs: 0.25rem;
  --size-sm: 0.5rem;
  --size-md: 1rem;
  --size-lg: 2rem;
  --size-xl: 3rem;
  --size-gizmo-console: 40rem;

  --color-bg-primary: #16203b;
  --color-bg-secondary: #3c1155;
  --color-bg-tertiary: #572c70;

  --color-text-primary: #ffffff;
  --color-text-secondary: #90a1b9;
  
  --color-button-primary: #9810fa;
  --color-button-secondary: #aa1dfc;
  --color-button-tertiary: #daa6fc;
}

* {
  margin: 0;
  border: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: Inter, Arial, Helvetica, sans-serif;
  font-size: 100%;
}

body {
  min-height: 100vh;
  display: flex;
  flex-direction: column;
  background: linear-gradient(var(--color-bg-primary), var(--color-bg-secondary));
  background: radial-gradient(circle at 50% -100%, var(--color-bg-primary), var(--color-bg-secondary));
  background-repeat: repeat-x;
  background-size: cover;
  color: var(--color-text-primary);
}

section {
  display: flex;
  flex-direction: column;
  align-items: center;
}

h1, h2, h3, h4, h5, h6 {
  color: var(--color-text-primary);
}

p {
  margin: var(--size-sm) 0 var(--size-md) 0;
}

a {
  color: inherit;
  text-decoration: none;
}

main {
  padding: calc(1.5 * var(--size-md));
  flex: 1;
}

main > section {
  margin: var(--size-lg) 0;
}

button {
  border-top: 1px solid var(--color-button-tertiary);
  border-radius: var(--size-sm);
  padding: var(--size-sm) var(--size-md);
  background-color: var(--color-button-primary);
  color: var(--color-text-primary);
  cursor: pointer;
}

button:hover {
  background-color: var(--color-button-secondary);
}

.padding-md {
  padding: var(--size-md);
}

.text-center {
  text-align: center;
}

.flex {
  display: flex;
  align-items: center;
}

.flex-col {
  display: flex;
  flex-direction: column;
}

.page-header {
  padding: var(--size-md);
  position: relative;
  display: flex;
  align-items: center;
  gap: var(--size-md);
}

.page-header h1 {
  flex: 1;
  font-size: var(--size-xl);
  line-height: 1;
  text-align: center;
}

.gizmo-menu-btn {
  position: absolute;
  top: var(--size-md);
  left: var(--size-md);
}

.overlay {
  position: fixed;
  inset: 0;
  background-color: var(--color-bg-primary);
  opacity: 0;
  visibility: hidden;
  transition: opacity 0.3s ease;
  z-index: 1000;
}

.overlay.active {
  opacity: 0.8;
  visibility: visible;
}

.gizmo-menu {
  border-top-right-radius: var(--size-lg);
  border-bottom-right-radius: var(--size-lg);
  width: 400px;
  min-height: 100vh;
  position: absolute;
  top: 0;
  left: 0;
  display: flex;
  flex-direction: column;
  align-items: stretch;
  transform: translateX(-100%);
  transition: transform 0.3s ease;
  background-color: var(--color-bg-secondary);
  z-index: 1010;
}

.gizmo-menu.active {
  transform: translateX(0);
}

.gizmo-menu-header,
.gizmo-menu-tools,
.gizmo-menu-games {
  padding: var(--size-md);
}

.gizmo-menu-header {
  display: flex;
  justify-content: flex-end;
}

.gizmo-menu-tools {
  border-bottom: 1px solid var(--color-bg-primary);
}

.gizmo-menu-games {
  border-top: 1px solid var(--color-bg-tertiary);
}

.gizmo-menu .gizmo-menu-btn-close {
  align-self: flex-end;
}

.gizmo-menu h1 {
  /* margin: 0; */
  padding: var(--size-md);
  font-size: calc(1.5 * var(--size-md));
  text-transform: uppercase;
}

.gizmo-menu ul {
  margin: 0;
  padding: 0;
  list-style: none;
}

.gizmo-menu ul li a {
  border-radius: var(--size-sm);
  padding: var(--size-md);
  display: block;
}

.gizmo-menu ul li a:hover {
  background-color: var(--color-button-secondary);
}

.gizmo-console {
  border-radius: var(--size-md);
  border-top: 1px solid var(--color-bg-tertiary);
  border-bottom: 1px solid var(--color-bg-primary);
  width: var(--size-gizmo-console);
  background-color: var(--color-bg-secondary);
}

.gizmo-console-header {
  border-bottom: 1px solid var(--color-bg-primary);
  padding: var(--size-md);
  text-align: center;
}

.gizmo-console-header h1 {
  font-size: var(--size-lg);
}

.gizmo-console-input {
  border-top: 1px solid var(--color-bg-tertiary);
  border-bottom: 1px solid var(--color-bg-primary);
  padding: var(--size-md);
}

.gizmo-console-process {
  border-top: 1px solid var(--color-bg-tertiary);
  border-bottom: 1px solid var(--color-bg-primary);
  padding: var(--size-md);
}

.gizmo-console-output {
  border-top: 1px solid var(--color-bg-tertiary);
  padding: var(--size-md);
}

@media screen and (max-width: 767px) {
  .page-header {
    width: 100%;
    position: fixed;
    background-color: var(--color-bg-primary);
  }

  .page-header h1 {
    text-align: left;
  }
  
  .gizmo-menu-btn {
    position: static;
  }

  main {
    margin-top: var(--size-xl);
  }

  .gizmo-console {
    width: 100%;
  }
}
